-- Sprites Soft Module
-- Holds a list of some sprite names provided in factorio
--
-- Check Factorio prototype definitions in:
-- * \Factorio\data\core
-- * \Factorio\data\base
--
-- @usage local Sprites = require('util/Sprites')
-- ------------------------------------------------------- --
-- @author Denis Zholob (DDDGamer)
-- github: https://github.com/deniszholob/factorio-softmod-pack
-- ======================================================= --
-- Dependencies --
-- ======================================================= --
-- Constants --
-- ======================================================= --
Sprites = {
    -- Utility
    -- hint_arrow_up = 'utility/hint_arrow_up',
    -- hint_arrow_down = 'utility/hint_arrow_down',
    -- indication_arrow = 'utility/indication_arrow',
    -- fluid_indication_arrow = 'utility/fluid_indication_arrow',
    -- fluid_indication_arrow_both_ways = 'utility/fluid_indication_arrow_both_ways',
    -- heat_exchange_indication = 'utility/heat_exchange_indication',
    -- rail_planner_indication_arrow = 'utility/rail_planner_indication_arrow',
    -- rail_planner_indication_arrow_too_far = 'utility/rail_planner_indication_arrow_too_far',
    -- trash_bin = 'utility/trash_bin',
    -- remove = 'utility/remove',
    -- destroyed_icon = 'utility/destroyed_icon',
    -- side_menu_menu_hover_icon = 'utility/side_menu_menu_hover_icon',
    -- rename_icon_small = 'utility/rename_icon_small',
    -- circuit_network_panel = 'utility/circuit_network_panel',
    -- favourite_server_icon = 'utility/favourite_server_icon',
    -- indication_line = 'utility/indication_line',
    --
    -- cursor_box = 'utility/cursor_box',
    -- regular = 'utility/regular',
    -- not_allowed = 'utility/not_allowed',
    -- electricity = 'utility/electricity',
    -- pair = 'utility/pair',
    -- copy = 'utility/copy',
    -- train_visualization = 'utility/train_visualization',
    -- logistics = 'utility/logistics',
    --
    add = 'utility/add',
    clone = 'utility/clone',
    go_to_arrow = 'utility/go_to_arrow',
    remove = 'utility/remove',
    play = 'utility/play',
    pause = 'utility/pause',
    speed_down = 'utility/speed_down',
    speed_up = 'utility/speed_up',
    clear = 'utility/clear',
    search_icon = 'utility/search_icon',
    too_far = 'utility/too_far',
    shoot_cursor_green = 'utility/shoot_cursor_green',
    shoot_cursor_red = 'utility/shoot_cursor_red',
    electricity_icon = 'utility/electricity_icon',
    fuel_icon = 'utility/fuel_icon',
    ammo_icon = 'utility/ammo_icon',
    fluid_icon = 'utility/fluid_icon',
    warning_icon = 'utility/warning_icon',
    too_far_from_roboport_icon = 'utility/too_far_from_roboport_icon',
    danger_icon = 'utility/danger_icon',
    destroyed_icon = 'utility/destroyed_icon',
    recharge_icon = 'utility/recharge_icon',
    pump_cannot_connect_icon = 'utility/pump_cannot_connect_icon',
    not_enough_repair_packs_icon = 'utility/not_enough_repair_packs_icon',
    not_enough_construction_robots_icon = 'utility/not_enough_construction_robots_icon',
    no_building_material_icon = 'utility/no_building_material_icon',
    no_storage_space_icon = 'utility/no_storage_space_icon',
    electricity_icon_unplugged = 'utility/electricity_icon_unplugged',
    game_stopped_visualization = 'utility/game_stopped_visualization',
    pollution_visualization = 'utility/pollution_visualization',
    health_bar_green = 'utility/health_bar_green',
    health_bar_yellow = 'utility/health_bar_yellow',
    health_bar_red = 'utility/health_bar_red',
    ghost_bar = 'utility/ghost_bar',
    hand = 'utility/hand',
    entity_info_dark_background = 'utility/entity_info_dark_background',
    medium_gui_arrow = 'utility/medium_gui_arrow',
    small_gui_arrow = 'utility/small_gui_arrow',
    light_medium = 'utility/light_medium',
    light_small = 'utility/light_small',
    color_effect = 'utility/color_effect',
    clock = 'utility/clock',
    --
    default_ammo_damage_modifier_icon = 'utility/default_ammo_damage_modifier_icon',
    default_gun_speed_modifier_icon = 'utility/default_gun_speed_modifier_icon',
    default_turret_attack_modifier_icon = 'utility/default_turret_attack_modifier_icon',
    inserter_stack_size_bonus_modifier_icon = 'utility/inserter_stack_size_bonus_modifier_icon',
    stack_inserter_capacity_bonus_modifier_icon = 'utility/stack_inserter_capacity_bonus_modifier_icon',
    laboratory_speed_modifier_icon = 'utility/laboratory_speed_modifier_icon',
    character_logistic_slots_modifier_icon = 'utility/character_logistic_slots_modifier_icon',
    character_logistic_trash_slots_modifier_icon = 'utility/character_logistic_trash_slots_modifier_icon',
    quick_bar_count_modifier_icon = 'utility/quick_bar_count_modifier_icon',
    maximum_following_robots_count_modifier_icon = 'utility/maximum_following_robots_count_modifier_icon',
    worker_robot_speed_modifier_icon = 'utility/worker_robot_speed_modifier_icon',
    worker_robot_storage_modifier_icon = 'utility/worker_robot_storage_modifier_icon',
    ghost_time_to_live_modifier_icon = 'utility/ghost_time_to_live_modifier_icon',
    turret_attack_modifier_icon = 'utility/turret_attack_modifier_icon',
    ammo_damage_modifier_icon = 'utility/ammo_damage_modifier_icon',
    give_item_modifier_icon = 'utility/give_item_modifier_icon',
    gun_speed_modifier_icon = 'utility/gun_speed_modifier_icon',
    unlock_recipe_modifier_icon = 'utility/unlock_recipe_modifier_icon',
    character_crafting_speed_modifier_icon = 'utility/character_crafting_speed_modifier_icon',
    character_mining_speed_modifier_icon = 'utility/character_mining_speed_modifier_icon',
    character_running_speed_modifier_icon = 'utility/character_running_speed_modifier_icon',
    character_build_distance_modifier_icon = 'utility/character_build_distance_modifier_icon',
    character_item_drop_distance_modifier_icon = 'utility/character_item_drop_distance_modifier_icon',
    character_reach_distance_modifier_icon = 'utility/character_reach_distance_modifier_icon',
    character_resource_reach_distance_modifier_icon = 'utility/character_resource_reach_distance_modifier_icon',
    character_item_pickup_distance_modifier_icon = 'utility/character_item_pickup_distance_modifier_icon',
    character_loot_pickup_distance_modifier_icon = 'utility/character_loot_pickup_distance_modifier_icon',
    character_inventory_slots_bonus_modifier_icon = 'utility/character_inventory_slots_bonus_modifier_icon',
    deconstruction_time_to_live_modifier_icon = 'utility/deconstruction_time_to_live_modifier_icon',
    character_health_bonus_modifier_icon = 'utility/character_health_bonus_modifier_icon',
    auto_character_logistic_trash_slots_modifier_icon = 'utility/auto_character_logistic_trash_slots_modifier_icon',
    mining_drill_productivity_bonus_modifier_icon = 'utility/mining_drill_productivity_bonus_modifier_icon',
    train_braking_force_bonus_modifier_icon = 'utility/train_braking_force_bonus_modifier_icon',
    zoom_to_world_enabled_modifier_icon = 'utility/zoom_to_world_enabled_modifier_icon',
    zoom_to_world_ghost_building_enabled_modifier_icon = 'utility/zoom_to_world_ghost_building_enabled_modifier_icon',
    zoom_to_world_blueprint_enabled_modifier_icon = 'utility/zoom_to_world_blueprint_enabled_modifier_icon',
    zoom_to_world_deconstruction_planner_enabled_modifier_icon = 'utility/zoom_to_world_deconstruction_planner_enabled_modifier_icon',
    zoom_to_world_selection_tool_enabled_modifier_icon = 'utility/zoom_to_world_selection_tool_enabled_modifier_icon',
    worker_robot_battery_modifier_icon = 'utility/worker_robot_battery_modifier_icon',
    laboratory_productivity_modifier_icon = 'utility/laboratory_productivity_modifier_icon',
    follower_robot_lifetime_modifier_icon = 'utility/follower_robot_lifetime_modifier_icon',
    nothing_modifier_icon = 'utility/nothing_modifier_icon',
    max_failed_attempts_per_tick_per_construction_queue_modifier_icon = 'utility/max_failed_attempts_per_tick_per_construction_queue_modifier_icon',
    max_successful_attempts_per_tick_per_construction_queue_modifier_icon = 'utility/max_successful_attempts_per_tick_per_construction_queue_modifier_icon',
    artillery_range_modifier_icon = 'utility/artillery_range_modifier_icon',
    --
    hint_arrow_up = 'utility/hint_arrow_up',
    hint_arrow_down = 'utility/hint_arrow_down',
    hint_arrow_right = 'utility/hint_arrow_right',
    hint_arrow_left = 'utility/hint_arrow_left',
    rail_path_not_possible = 'utility/rail_path_not_possible',
    slot_icon_module = 'utility/slot_icon_module',
    slot_icon_armor = 'utility/slot_icon_armor',
    slot_icon_blueprint = 'utility/slot_icon_blueprint',
    slot_icon_tool = 'utility/slot_icon_tool',
    slot_icon_gun = 'utility/slot_icon_gun',
    slot_icon_ammo = 'utility/slot_icon_ammo',
    slot_icon_resource = 'utility/slot_icon_resource',
    slot_icon_fuel = 'utility/slot_icon_fuel',
    slot_icon_result = 'utility/slot_icon_result',
    slot_icon_robot = 'utility/slot_icon_robot',
    slot_icon_robot_material = 'utility/slot_icon_robot_material',
    slot = 'utility/slot',
    equipment_slot = 'utility/equipment_slot',
    equipment_collision = 'utility/equipment_collision',
    green_circle = 'utility/green_circle',
    green_dot = 'utility/green_dot',
    robot_slot = 'utility/robot_slot',
    set_bar_slot = 'utility/set_bar_slot',
    confirm_slot = 'utility/confirm_slot',
    export_slot = 'utility/export_slot',
    import_slot = 'utility/import_slot',
    tile_editor_icon = 'utility/tile_editor_icon',
    decorative_editor_icon = 'utility/decorative_editor_icon',
    resource_editor_icon = 'utility/resource_editor_icon',
    entity_editor_icon = 'utility/entity_editor_icon',
    item_editor_icon = 'utility/item_editor_icon',
    cable_editor_icon = 'utility/cable_editor_icon',
    force_editor_icon = 'utility/force_editor_icon',
    surface_editor_icon = 'utility/surface_editor_icon',
    brush_icon = 'utility/brush_icon',
    spray_icon = 'utility/spray_icon',
    cursor_icon = 'utility/cursor_icon',
    editor_selection = 'utility/editor_selection',
    brush_square_shape = 'utility/brush_square_shape',
    brush_circle_shape = 'utility/brush_circle_shape',
    player_force_icon = 'utility/player_force_icon',
    neutral_force_icon = 'utility/neutral_force_icon',
    enemy_force_icon = 'utility/enemy_force_icon',
    nature_icon = 'utility/nature_icon',
    no_nature_icon = 'utility/no_nature_icon',
    multiplayer_waiting_icon = 'utility/multiplayer_waiting_icon',
    spawn_flag = 'utility/spawn_flag',
    questionmark = 'utility/questionmark',
    copper_wire = 'utility/copper_wire',
    green_wire = 'utility/green_wire',
    red_wire = 'utility/red_wire',
    green_wire_hightlight = 'utility/green_wire_hightlight',
    red_wire_hightlight = 'utility/red_wire_hightlight',
    wire_shadow = 'utility/wire_shadow',
    trash_bin = 'utility/trash_bin',
    and_or = 'utility/and_or',
    left_arrow = 'utility/left_arrow',
    right_arrow = 'utility/right_arrow',
    enter = 'utility/enter',
    side_menu_menu_icon = 'utility/side_menu_menu_icon',
    side_menu_production_icon = 'utility/side_menu_production_icon',
    side_menu_bonus_icon = 'utility/side_menu_bonus_icon',
    side_menu_map_icon = 'utility/side_menu_map_icon',
    side_menu_tutorials_icon = 'utility/side_menu_tutorials_icon',
    side_menu_train_icon = 'utility/side_menu_train_icon',
    side_menu_achievements_icon = 'utility/side_menu_achievements_icon',
    side_menu_menu_hover_icon = 'utility/side_menu_menu_hover_icon',
    side_menu_production_hover_icon = 'utility/side_menu_production_hover_icon',
    side_menu_bonus_hover_icon = 'utility/side_menu_bonus_hover_icon',
    side_menu_map_hover_icon = 'utility/side_menu_map_hover_icon',
    side_menu_train_hover_icon = 'utility/side_menu_train_hover_icon',
    side_menu_achievements_hover_icon = 'utility/side_menu_achievements_hover_icon',
    circuit_network_panel = 'utility/circuit_network_panel',
    logistic_network_panel = 'utility/logistic_network_panel',
    electric_network_info = 'utility/electric_network_info',
    rename_icon_small = 'utility/rename_icon_small',
    rename_icon_normal = 'utility/rename_icon_normal',
    achievement_label_locked = 'utility/achievement_label_locked',
    achievement_label_unlocked_off = 'utility/achievement_label_unlocked_off',
    achievement_label_unlocked = 'utility/achievement_label_unlocked',
    achievement_label_failed = 'utility/achievement_label_failed',
    logistic_radius_visualization = 'utility/logistic_radius_visualization',
    construction_radius_visualization = 'utility/construction_radius_visualization',
    track_button = 'utility/track_button',
    clouds = 'utility/clouds',
    indication_arrow = 'utility/indication_arrow',
    fluid_indication_arrow = 'utility/fluid_indication_arrow',
    fluid_indication_arrow_both_ways = 'utility/fluid_indication_arrow_both_ways',
    heat_exchange_indication = 'utility/heat_exchange_indication',
    rail_planner_indication_arrow = 'utility/rail_planner_indication_arrow',
    rail_planner_indication_arrow_too_far = 'utility/rail_planner_indication_arrow_too_far',
    indication_line = 'utility/indication_line',
    short_indication_line = 'utility/short_indication_line',
    rail_signal_placement_indicator = 'utility/rail_signal_placement_indicator',
    train_stop_placement_indicator = 'utility/train_stop_placement_indicator',
    placement_indicator_leg = 'utility/placement_indicator_leg',
    grey_rail_signal_placement_indicator = 'utility/grey_rail_signal_placement_indicator',
    grey_placement_indicator_leg = 'utility/grey_placement_indicator_leg',
    battery_indicator = 'utility/battery_indicator',
    arrow_button = 'utility/arrow_button',
    reset = 'utility/reset',
    show_logistics_network_in_map_view = 'utility/show_logistics_network_in_map_view',
    show_electric_network_in_map_view = 'utility/show_electric_network_in_map_view',
    show_turret_range_in_map_view = 'utility/show_turret_range_in_map_view',
    show_pollution_in_map_view = 'utility/show_pollution_in_map_view',
    show_train_station_names_in_map_view = 'utility/show_train_station_names_in_map_view',
    show_player_names_in_map_view = 'utility/show_player_names_in_map_view',
    train_stop_in_map_view = 'utility/train_stop_in_map_view',
    selected_train_stop_in_map_view = 'utility/selected_train_stop_in_map_view',
    covered_chunk = 'utility/covered_chunk',
    white_square = 'utility/white_square',
    white_mask = 'utility/white_mask',
    favourite_server_icon = 'utility/favourite_server_icon',
    crafting_machine_recipe_not_unlocked = 'utility/crafting_machine_recipe_not_unlocked',
    explosion_chart_visualization = 'utility/explosion_chart_visualization',
    -- Item
    -- iron_axe = 'item/iron-axe',
    iron_ore = 'item/iron-ore',
    copper_ore = 'item/copper-ore',
    stone = 'item/stone',
    coal = 'item/coal',
    uranium_ore = 'item/uranium-ore',
    crude_oil = 'fluid/crude-oil',
    deconstruction_planner = 'item/deconstruction-planner',
    burner_mining_drill = 'item/burner-mining-drill',
    burner_inserter = 'item/burner-inserter',
    stone_furnace = 'item/stone-furnace',
    light_armor = 'item/light-armor',
    steam_engine = 'item/steam-engine',
    inserter = 'item/inserter',
    transport_belt = 'item/transport-belt',
    underground_belt = 'item/underground-belt',
    splitter = 'item/splitter',
    assembling_machine_1 = 'item/assembling-machine-1',
    long_handed_inserter = 'item/long-handed-inserter',
    electronic_circuit = 'item/electronic-circuit',
    electric_mining_drill = 'item/electric-mining-drill',
    heavy_armor = 'item/heavy-armor',
    steel_furnace = 'item/steel-furnace',
    linked_belt = 'item/linked-belt',
    steel_axe = 'item/steel-axe',
    gun_turret = 'item/gun-turret',
    fast_transport_belt = 'item/fast-transport-belt',
    fast_underground_belt = 'item/fast-underground-belt',
    fast_splitter = 'item/fast-splitter',
    assembling_machine_2 = 'item/assembling-machine-2',
    fast_inserter = 'item/fast-inserter',
    radar = 'item/radar',
    filter_inserter = 'item/filter-inserter',
    defender_capsule = 'item/defender-capsule',
    pumpjack = 'item/pumpjack',
    chemical_plant = 'item/chemical-plant',
    solar_panel = 'item/solar-panel',
    advanced_circuit = 'item/advanced-circuit',
    modular_armor = 'item/modular-armor',
    accumulator = 'item/accumulator',
    construction_robot = 'item/construction-robot',
    distractor_capsule = 'item/distractor-capsule',
    stack_inserter = 'item/stack-inserter',
    electric_furnace = 'item/electric-furnace',
    express_transport_belt = 'item/express-transport-belt',
    express_underground_belt = 'item/express-underground-belt',
    express_splitter = 'item/express-splitter',
    assembling_machine_3 = 'item/assembling-machine-3',
    processing_unit = 'item/processing-unit',
    power_armor = 'item/power-armor',
    logistic_robot = 'item/logistic-robot',
    laser_turret = 'item/laser-turret',
    stack_filter_inserter = 'item/stack-filter-inserter',
    destroyer_capsule = 'item/destroyer-capsule',
    power_armor_mk2 = 'item/power-armor-mk2',
    flamethrower_turret = 'item/flamethrower-turret',
    beacon = 'item/beacon',
    steam_turbine = 'item/steam-turbine',
    centrifuge = 'item/centrifuge',
    nuclear_reactor = 'item/nuclear-reactor',
    lab = 'item/lab',
    logistic_chest_storage = 'item/logistic-chest-storage',
    --
    character = 'entity/character',
    --
    small_biter = 'entity/small-biter',
    medium_biter = 'entity/medium-biter',
    big_biter = 'entity/big-biter',
    behemoth_biter = 'entity/behemoth-biter',
    --
    small_spitter = 'entity/small-spitter',
    medium_spitter = 'entity/medium-spitter',
    big_spitter = 'entity/big-spitter',
    behemoth_spitter = 'entity/behemoth-spitter',
    --
    small_biter_corpse = 'entity/small-biter-corpse',
    medium_biter_corpse = 'entity/medium-biter-corpse',
    big_biter_corpse = 'entity/big-biter-corpse',
    behemoth_biter_corpse = 'entity/behemoth-biter-corpse',
    --
    small_spitter_corpse = 'entity/small-spitter-corpse',
    medium_spitter_corpse = 'entity/medium-spitter-corpse',
    big_spitter_corpse = 'entity/big-spitter-corpse',
    behemoth_spitter_corpse = 'entity/behemoth-spitter-corpse',
    --
    small_worm = 'entity/small-worm',
    medium_worm = 'entity/medium-worm',
    big_worm = 'entity/big-worm',
    behemoth_worm = 'entity/behemoth-worm',
    --
    biter_spawner = 'entity/biter-spawner',
    spitter_spawner = 'entity/spitter-spawner',
    biter_spawner_corpse  = 'entity/biter-spawner-corpse',
    spitter_spawner_corpse  = 'entity/spitter-spawner-corpse',
    --
    advanced_electronics = 'technology/advanced-electronics',
    steel_axe = 'technology/steel-axe',
    --
}

function Sprites.getSpriteRichText(name)
    return "[" .. string.gsub(name, "/", "=") .. "]"
end

return Sprites
